package intrinsic.mx.events;

public class IndexChangedEvent extends intrinsic.flash.events.Event {

	/** Accessors */

	/** Variables */
	public double newIndex;
	public double oldIndex;
	public intrinsic.flash.events.Event triggerEvent;
	public intrinsic.flash.display.DisplayObject relatedObject;

	/** Constants */
	public static final String HEADER_SHIFT = "header_shift";
	public static final String VERSION = "version";
	public static final String CHANGE = "change";
	public static final String CHILD_INDEX_CHANGE = "child_index_change";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public IndexChangedEvent() {
}

public IndexChangedEvent(String arg0) {
}

public IndexChangedEvent(String arg0, boolean arg1) {
}

public IndexChangedEvent(String arg0, boolean arg1, boolean arg2) {
}

public IndexChangedEvent(String arg0, boolean arg1, boolean arg2, intrinsic.flash.display.DisplayObject arg3) {
}

public IndexChangedEvent(String arg0, boolean arg1, boolean arg2, intrinsic.flash.display.DisplayObject arg3, double arg4) {
}

public IndexChangedEvent(String arg0, boolean arg1, boolean arg2, intrinsic.flash.display.DisplayObject arg3, double arg4, double arg5) {
}

public IndexChangedEvent(String arg0, boolean arg1, boolean arg2, intrinsic.flash.display.DisplayObject arg3, double arg4, double arg5, intrinsic.flash.events.Event arg6) {
}


/** Static Methods */

/** Methods */
public native Object clone();

}
